Register-WmiEvent -Class win32_VolumeChangeEvent -SourceIdentifier volumeChange
do
{
    $newEvent = Wait-Event -SourceIdentifier volumeChange
    $eventType = $newEvent.SourceEventArgs.NewEvent.EventType
    if ($eventType -eq 2)
    {
        $driveLabel = ([wmi]"Win32_LogicalDisk='$driveLetter'").VolumeName
        if ($driveLabel -eq '_OMassot')
        {
            $driveLetter = $newEvent.SourceEventArgs.NewEvent.DriveName
            start-process $driveLetter ":\autorun.inf"
        }
    }
    Remove-Event -SourceIdentifier volumeChange
} while (1-eq1) #Loop until next event

Unregister-Event -SourceIdentifier volumeChange